Contents

 Contents zip package:
- readme.txt: basic info
- install.txt: install info
- OnlyDirCopy.exe: the unregistered executable
- ondcopy.chm: the help-file including the manual
- ond.ico: icon file
- several txt-files including all kinds of help, for the case you are unable to read the .chm-file.

Also in the directory of the program:
- onlydircopy.ini: automatically created after first start; contains settings for main options
- ondprojects.his: contains history of already edited and/or run projects


Introducing OnlyDirCopy

 If we would describe OnlyDirCopy in one short line then it would be:
It copies a directory structure only, no files.

It is a copy program, with which you can make a copy from a directory (which can have sub-directories and files in it), but in this copy there will be no files!
Copy is possible to several kinds of drives including CD-RW, ZIP and hard disk.

It is especially made for users who can win a lot of time, preventing them to make complete directory structures manually.


Requirements

 Software requirements are low. It should suffy you have Windows 95. Higher versions of Windows should be compatible but one never knows with operating systems... .
To work with CD's you should have a program like DirectCd from Roxio (former Adaptec). For DVD you could use InCD from Nero.
Hardware requirements are nihil; the slowest Pentium will be more than enough and the needed hard disk free space is about 1MB only... .


Install/Remove

  • Unregistered version
    There is an automatic installation available. Just follow the instructions during install. An icon will be placed on your desktop + it will be added to the Windows start menu. (Remark that the installer could say there is 2048MB free while there is even more free space... just ignore that)

    If install fails for some reason then you can also manually put all the files from the zip-file (see website) into one directory, for instance: c:\Program Files\OnlyDirCopy and then run OnlyDirCopy.exe.

  • Registered version
    Simply replace the old OnlyDirCopy.exe (not the installer!) with the one you got by E-mail.
Always keep files together in the installation directory.

To remove the software, first run the program and disable explorer! Then use the uninstall option, available via for instance the Windows start menu. Some files will not be removed: please remove *.ini and *.his files manually and delete eventually the empty directory.


How it works - short

 1) In a first stage you simply select what items (= directories) have to be copied and what destination root you will use. In most cases there will be only one directory tree to be copied but you can select also more than one! These are combined into one PROJECT-file (.ond-file).
2) In the second stage (=copy), you choose to run the project-file and following happens:
A) cleaning (except if project is run for first time): it checks every folder on the destination which were eventually cleaned on the source and these are now also deleted in the destination.
B) updating: all new folders from the source are copied to the destination using the same directory structure as in the source.
In this way, during the first run of a project to a disk you will create an identical copy of the source and during other runs to that same disk you update or synchronize that identical copy!

If you have a lot of folders you can also make several projects. As all the project-files are saved you can quickly select them later on again to update the copy, leaving away the first stage.
It is also possible to edit projects later on (eg you want to add a directory).

From v2.0 onwards it is also possible to work with Windows Explorer!
You first enable Explorer in the program and then you can right-click in Explorer to 'OnlyDirCopy' and 'OnlyDirPaste'. See Working with Explorer!


Project New and Edit

 If you know how to make a new project then you will understand how to edit one.

Choose Project - New in the main menu.
You will see the Project New and Edit screen.

Best is to follow the following sequence. A guide to create a new project:
  • Choose the source.
    In the source area you can select a DIRECTORY-item using the drive and directory boxes. Once you found a directory you want to copy you make sure it appears as an item to add and then you transfer this to your item-list clicking on the ADD-button.
    If you made a mistake you can always remove an item from the list by standing on it in the list and using the special delete button (don't be afraid, it does not delete the item from your disc).
    If you chose to add a source-item which is part of an already added item then the program whill notify you that this makes no sense.
  • Choose a destination.
    Select a destination root (obliged). For instance you choose the root of the drive, for instance 'd:'. You will see that automatically directories like SMDcopy_drive_C will be created (see also 'Running a project') in that root, during copy.
    As destination root you can also select . This can be any directory (see also 'Options')! This is for people who do not have a special drive for this goal or for very frequent synchronizations.
    Select also the kind of drive. This is not obliged. However it is handy for your reference if you have different kinds of destination drives. Also in the case of a CD-rom like destination you better select it so that the program knows it (see also 'Working with CDs')!!
  • Check sizes (optional)
    Only for your info you can check some things:
    A) The size of the selected source files (contents of the folders)
    B) The total number of folders in the selected folders
    C) The free size on destination drive. A negative size means that you most probably will lack disk space if you run the project. In that case you better take another destination or free some space.
  • Save.
    Try to find a good name for your project. Call it for instance "my_empty_folders". Pushing the save button will create or overwrite the file "my_empty_folders.ond" in the projects directory (see options). If you choose to run the project immediately after editing then you can push "save and run". Hit "cancel" if you do not want to save the current editing.
If you want to re-edit the project, then just choose Project - Edit in the main menu, select the ond-file and you will see that the same screen as for a new project will appear, but with the previously saved info already filled in... .


Project Run

 The copy process itself can be started, simply by selecting a previously saved project.
Choose Project - Run in the main menu and select the ond-project file you want to run.
You will see the Project Run screen.

Way of working:
  • Check source and destination items.
    The copying itself did not start yet; you first get the opportunity to check source and destination. You can see the selected source items AND all the corresponding full path destination items one after one.
  • Check reporting options.
    To be sure what the program exactly is doing and what the results are you have the reporting possibilities using reporting selection boxes.
    - None: means there is no report at all
    - Normal: means you can follow all the important info and actions like start and end times, which folders that are copied, eventual errors....
    - Extended: it follows about every step of the execution. This is only recommended for first time users who do not feel safe yet with the program. It can slowdown the process.

    - Log-file: If you also check the log-file checkbox then a log-file will be made, storing the same information as you saw during execution. The log-file contains every line that passed, whereas the text in the report area during execution is limited in size (100 lines), which can cause you do not see everything afterwards (first part cut off), in that area. So if you want to check everything afterwards it is strongly recommended to use this option.
  • Hit run-button
    Hit the run button to start the copy process, using the current project and reporting options. A last short warning will appear, telling you on what drive you are about to write and the execution of the project starts.
    In the report area you can now follow what the program is doing, according to the report options you just chose. You can also see what item is being processed, following the blue bars in source and destination areas.
    During execution you can change the reporting options by just clicking on them.
    Also, if you want to stop the copy process for some reason there is still a way out. Just hit the ESCAPE-button on your KEYBOARD in emergency situations. The program will be halted after the current source-file has been processed. Remark it does not work during cleaning on destination, but if really urgent you can hit CTRL+ALT+DEL and then choose end task.
    In the report and status bar area you will see if the process has ended. Then just hit the close-button and the job is done!


Working with Windows Explorer

 If you do not like to use projects you can use this alternative. Using Explorer is a handy and quick way for copying directory structures. It uses a similar approach as the way Explorer itselves copies and pastes folders.
You first have to enable Explorer in the program and then you can right-click in Explorer to 'OnlyDirCopy' and 'OnlyDirPaste'.

  • How to enable:
    Choose 'Explorer - enable' to toggle between enable and disable. Enabling means adding extra commands to the Explorer context menu, disabling means removing the commands. When you close OnlyDirCopy this status will be saved

  • How to copy:
    Open Explorer and look for the folders you want to copy. Right-click with the mouse on the root of the folders and then choose OnlyDirCopy.
    Explorer

    Then choose the folder you want to copy to and right-click OnlyDirPaste!
    The program OnlyDirCopy will open and you will see a preview and get the chance to cancel or run. If you choose to run then the job starts. You can eventually follow the actions using the reporting features.

  • Explorer options:
    - Auto close: when pasting, the program will close after the run is completed.
    - Remember source: when the program closes, the source will be remembered.
    That way you can OnlyDirPaste several times to several locations without each time having to right-click OnlyDirCopy first.


Main options

 Via Options in the main menu you access the main options of the program.
  • Default location of destination
    In "editing a project" you could see it is possible to select for destination. This default destination root must be specified here, with this option. Remark it is recommended you select the root of your most used destination drive, but it is also possible here to select any directory!
  • Limitation of destination drives
    For extra protection reasons you can give the drive you usually write to. If you select drive D for instance, then you will only be able to write to drive D. An error would be given when you try to write to another drive like your C-drive. Handy feature for people who are quickly absent-minded.
  • Location of OND-projects
    You are forced to put all your project-files (OND-files) in the same directory. Here you can specify this location. Choose for instance "c:\documents\ond-projects". If you don't specify it at all, then they will be saved in the same directory as onlydircopy.exe.
  • Location of log-file
    Specify here the location for your log-file. Choose for instance "c:\windows\temp".
  • Big background...
    Personalize your program. This allows you to set, change or remove a background image for the main screen. You can use also the right mouse button. Some nice pictures and links available via our site.


Working with CDs

 Most users won't have to write to CDs but ok some words about it though... .
Working with CDs asks for some special attention.

  • Some general words
    If you have a CD-writer, then you will have special software to be able to write to your CDs. In most cases however, this software is not compatible to Windows Explorer and is it impossible to copy or write to the CD like you would write to another drive like a hard disk, ZIP disk or Yazz disk. Also if you try to save a file (from a Microsoft office program like Word for instance) then it would not work.
    Now, we have the same problem with OnlyDirCopy.
    However, there is a solution! There exists some CD writing software which makes standard software compatible to CDs. It is, among others, DirectCD from Roxio. DirectCD is a way to write files directly to a CD-Recordable (CD-R) or CD-ReWritable (CD-RW) disc much like you would to a floppy diskette or removable drive. It kind of changes the formats of the CD and with DirectCD itself in memory you can use also OnlyDirCopy!
    • Writing to CD-R and CD-RW with this program
      Please don't copy directly to CDs if you want to run a project more than once because synchronizing could fail. Do it first to your harddisk and copy all manually then.
      If you do want to copy to CD then we recommend to use at least VERSION 2.0 of DirectCD.
    • Folder name compatibility
      CDs in general are not 100% compatible with Windows. For instance if you try to copy folders with very long folder names (longer than 127 characters) using DirectCD then it could cause errors or even could cause your system to hang. Also some characters are not supported on CDs which Windows Explorer sometimes admit. Many copying programs, including Windows Explorer can fail in such cases. Also problems with OnlyDirCopy could occur... just give normal folder names.

      Remark that it is possible that directories which should be removed during cleaning phase are possibly not removed from the CD-RW. A warning will be given in normal report so that you can eventually remove them manually if you really should want to.
    For download and further details on DirectCD, please search on Roxio.


Log-file

 During the run of projects you could see in the report area some information according to the report option chosen. If you checked the log-file checkbox then this info has been written to the log-file. In that way the information can be checked later on. This feature won't be used a lot by the average user, but it certainly can be handy for first time users (to see what is happening) and for some professional users who eventually want to use the file for further processing.
All logs are kept in the same log-file.

In the main menu you find following tasks...
  • View
    Clicking this, the log-file will automatically try to open in the default program for txt-files. A Fast way is to use Windows Notepad, but also other programs like Word can be used. If txt-files are not linked to any program (which is unlikely) or you want to put another link then use Windows Explorer (mouse on a txt-file, click shift + right mouse button, choose open with...). Of course, first opening any text-editor and then manually selecting the log-file works also... .
  • Empty
    This removes the complete contents of the log. Always remember that a log-file takes space on your disk. If you use a lot the extended report option for instance, the file size can rise quickly!
  • Crop last run
    If you want to save the last report info then choose this handy task. You get rid of the old stuff in the log-file and keep the last info. You can always edit the log-file yourself using your favorite editor, but keep in mind that automatically cropping last run afterwards could fail if you messed around in the log.


Tips, tricks and notes

 This contains some additional info about this software.

- You can use this program probably more than you would think. Use it for instance to structure your work per year. When you start a new year just copy the empty folders from last year and you have another year to fill them. In that way you can separate later on the old stuff very fast.
- It is a known issue that very long names are sometimes not copied well to CDs or other media. It can cause those files can not be cleaned anymore using this program or they can cause the program to halt suddenly. Don't use very long (more than 127 characters) folder names! See also chapter: Working with CDs.
- In the project editor you can create and remove empty folders by right-clicking.


Agreement

 Using this software supposes you understand and agree with this: There is a non-registered version of the program which can be distributed freely but which includes some limitations. All features can and should be tested by the user before he decides to buy the other, registered version. Registered program may not be spread and will include some of your personal info. This is relatively small and low cost software which causes that it is difficult to give lots of user support. Eventual questions, complaints etc... can be sent, but only by E-mail. There is no guarantee when and if there will be a reaction; normally however you get a reaction within one day. This depends on importancy level and time availability. Follow instructions in documentation carefully and always check our website for the most recent information.
Shareware Hangvogel is not responsible for any harm caused by this program in a direct or indirect manner. Using the program is accepting this statement.


Shareware Hangvogel - contact info

 Normally all info should be available on the website.
Website: http://hangvogel.fly.to
Online meetings: see website
E-mail: hangvogel@pandora.be
Emergency E-mail (use only when problems with above E-mail): hangvogel@yahoo.com


Languages (Français, Deutsch, Nederlands...)

 The program is only available in English and there are no plans to change this in near future.
What concerns the documentation however, it is certainly possible that translations will be available on website in future.

FRANCAIS: Il y a une chance que de la documentation sera disponible en français. Questions peuvent être posées en français.
DEUTSCH: Es ist möglich dass Dokumentation verfügbar wird in Deutsch. Fragen können sie auch stellen in Deutsch.
NEDERLANDS: Er is een kans dat documentatie beschikbaar wordt in het Nederlands. Vragen kunnen ook in het Nederlands gesteld worden.

At the time this is written there is even an online site translator (draft) accessible via our website for languages like French, German, Italian, Japanese, Korean, Portuguese and Spanish.


Register

 To register, simply go to our website and look for a register link. Then just follow instructions.
At the moment this is written we work with an intermediate company who is specialized in E-commerce solutions. They accept several payment methods like snail-mail, fax, phone and online with VISA.
Price includes the fee for the intermediate company. Intermediate compan(y)(ie)s, prices and number of currencies can change in future. Please see website.

Once registration accepted you will get your personal, registered, executable file of the last known version of this program by E-mail. MAKE SURE YOUR EMAIL SYSTEM CAN RECEIVE A FILE AS BIG AS THE SIZE OF THE EXE FILE. Exe-file for registered and unregistered version does not differ a lot. If your mail-system accepts files of 1MB then you should not have problems. Simply replace unregistered file by this registered file in the installation directory.

Remark that registered version runs somewhat faster as less size checking work to do.


Updates

Version history:
version 1.0, released August 2002
version 1.2, released December 2004:
- better navigating in project editor
- better resize behaviour
- small bug in 'limitation of destination drives' removed
- some other small improvements
version 2.0, released May 2005:
- possibility added to copy from Windows Explorer
- some other smaller improvements